Want run PC Flight Simulator on PowerMac 8.1

June 30, 2011 at 21:01:05
Specs: Macintosh
All the simulators that I know of run on Windows except one that runs on OS 10.5 or newer. My G5 is running 10.4. Can my PowerMac 8.1 be upgraded to run windows XP at a reasonable cost short of buying a new Mac or a (shudder) PC?

See More: Want run PC Flight Simulator on PowerMac 8.1

Report •


#1
June 30, 2011 at 21:15:08
Apple Support OS X 10.5 system requirements:

http://support.apple.com/kb/HT3759

http://support.apple.com/kb/SP517

You will need a Retail DVD OS X if your Mac is suitable...


Report •

#2
July 1, 2011 at 00:46:37
X-Plane will run on 10.4 or later. It's one of the best Flight Simulators around.

Report •
Related Solutions


Ask Question